# @billogram/foundation-toggle-panel

> A React toggle panel

## Install

```
yarn add @billogram/foundation-toggle-panel
```

## Usage

```tsx
import {
    FoundationTogglePanel,
} from '@billogram/foundation-toggle-panel';
```

See [types](src/types.ts) for exported types.

### [`FoundationTogglePanel`](src/FoundationTogglePanel.tsx)

```tsx
<FoundationTogglePanel
    canEdit={ true }
    description={ null }
    title={ null }>
    { ({ close, isEditing, open }) => isEditing ? (
        <div>...</div>
    ) : (
        <div>...</div>
    ) }
</FoundationTogglePanel>
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
